Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.state.consumer
Class ConsumerPersistenceManagerService

    java.lang.Object
      org.jboss.portal.portlet.impl.state.consumer.AbstractConsumerPersistenceManagerService
          org.jboss.portal.portlet.impl.state.consumer.ConsumerPersistenceManagerService

All Implemented Interfaces:
  ConsumerPersistenceManager

    public class ConsumerPersistenceManagerService

extends AbstractConsumerPersistenceManagerService

Version:
  $Revision: 1.1 $
Author:
  Julien Viet

Constructor Summary
`ConsumerPersistenceManagerService()`

Method Summary
`protected ConsumerStateContext` | `get(java.lang.String stateId)`
`protected void` | `put(java.lang.String stateId, ConsumerStateContext state)`
`protected void` | `remove(java.lang.String stateId)`
`protected int` | `size()`

Methods inherited from class org.jboss.portal.portlet.impl.state.consumer.AbstractConsumerPersistenceManagerService
`createState, destroyState, getSize, loadState, updateState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsumerPersistenceManagerService

    public ConsumerPersistenceManagerService()

Method Detail

### get

    protected ConsumerStateContext get(java.lang.String stateId)

  Specified by:
    `get` in class `AbstractConsumerPersistenceManagerService`

### put

    protected void put(java.lang.String stateId,
                       ConsumerStateContext state)

  Specified by:
    `put` in class `AbstractConsumerPersistenceManagerService`

### remove

    protected void remove(java.lang.String stateId)

  Specified by:
    `remove` in class `AbstractConsumerPersistenceManagerService`

### size

    protected int size()

  Specified by:
    `size` in class `AbstractConsumerPersistenceManagerService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.